name: ecommerce
description: A new Flutter ecommerce .

publish_to: 'none' # Remove this line if you wish to publish to pub.dev
version: 1.0.0+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter


  #Http
  dio: ^4.0.0

  #state management
  flutter_bloc: ^7.0.0
  get_it: ^6.0.0

  #ui
  cupertino_icons: ^1.0.0
  flutter_svg: ^0.19.3
  font_awesome_flutter: ^9.0.0
  calendar_timeline: ^0.7.1
  pull_to_refresh: ^2.0.0
  flutter_inner_drawer: "^1.0.0+1"
  pinput: ^0.2.6
  animated_text_kit: ^4.2.1
  shimmer: ^2.0.0
  flutter_staggered_animations: ^1.0.0

  #utils
  equatable: ^1.2.6
  sizer: ^1.1.8
  easy_localization: ^3.0.0
  shared_preferences: ^2.0.5
  intl: ^0.17.0
  r_upgrade: ^0.3.3
  url_launcher:
  google_maps_flutter:
  geolocator:
  image_picker: ^0.8.0+3
  flutter_share: ^2.0.0
  assets_audio_player:
  connectivity: ^3.0.6
  permission_handler: ^8.1.4+2
  cached_network_image: ^3.1.0



  #firebase
  flutter_local_notifications: 5.0.0+1
  firebase_messaging: 10.0.0
  firebase_core: ^1.3.0
  firebase_auth: ^1.3.0
dev_dependencies:
  flutter_test:
    sdk: flutter

flutter:

  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/lang/
    - assets/images/

  fonts:
    - family: Taxicab
      fonts:
        - asset: assets/fonts/Taxicab-Bold.ttf
